org.apache.olingo.odata2.api

## Interface ODataService

-     public interface ODataService

  Root interface for a custom OData service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchProcessor` | `getBatchProcessor()`
    `EntityComplexPropertyProcessor` | `getEntityComplexPropertyProcessor()`
    `Edm` | `getEntityDataModel()`
    `EntityLinkProcessor` | `getEntityLinkProcessor()`
    `EntityLinksProcessor` | `getEntityLinksProcessor()`
    `EntityMediaProcessor` | `getEntityMediaProcessor()`
    `EntityProcessor` | `getEntityProcessor()`
    `EntitySetProcessor` | `getEntitySetProcessor()`
    `EntitySimplePropertyProcessor` | `getEntitySimplePropertyProcessor()`
    `EntitySimplePropertyValueProcessor` | `getEntitySimplePropertyValueProcessor()`
    `FunctionImportProcessor` | `getFunctionImportProcessor()`
    `FunctionImportValueProcessor` | `getFunctionImportValueProcessor()`
    `MetadataProcessor` | `getMetadataProcessor()`
    `ODataProcessor` | `getProcessor()`
    `ServiceDocumentProcessor` | `getServiceDocumentProcessor()`
    `List<String>` | `getSupportedContentTypes(Class<? extends ODataProcessor> processorFeature)`
    `String` | `getVersion()`

- - ### Method Detail

    - #### getVersion

          String getVersion()
                     throws ODataException

      Returns:
        implemented OData version of this service
      Throws:
        `ODataException`
      See Also:
        `ODataServiceVersion`

    - #### getEntityDataModel

          Edm getEntityDataModel()
                          throws ODataException

      Returns:
        entity data model of this service
      Throws:
        `ODataException`
      See Also:
        `Edm`

    - #### getMetadataProcessor

          MetadataProcessor getMetadataProcessor()
                                          throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `MetadataProcessor`

    - #### getServiceDocumentProcessor

          ServiceDocumentProcessor getServiceDocumentProcessor()
                                                        throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `ServiceDocumentProcessor`

    - #### getEntityProcessor

          EntityProcessor getEntityProcessor()
                                      throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntityProcessor`

    - #### getEntitySetProcessor

          EntitySetProcessor getEntitySetProcessor()
                                            throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntitySetProcessor`

    - #### getEntityComplexPropertyProcessor

          EntityComplexPropertyProcessor getEntityComplexPropertyProcessor()
                                                                    throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntityComplexPropertyProcessor`

    - #### getEntityLinkProcessor

          EntityLinkProcessor getEntityLinkProcessor()
                                              throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntityLinkProcessor`

    - #### getEntityLinksProcessor

          EntityLinksProcessor getEntityLinksProcessor()
                                                throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntityLinksProcessor`

    - #### getEntityMediaProcessor

          EntityMediaProcessor getEntityMediaProcessor()
                                                throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntityMediaProcessor`

    - #### getEntitySimplePropertyProcessor

          EntitySimplePropertyProcessor getEntitySimplePropertyProcessor()
                                                                  throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntitySimplePropertyProcessor`

    - #### getEntitySimplePropertyValueProcessor

          EntitySimplePropertyValueProcessor getEntitySimplePropertyValueProcessor()
                                                                            throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `EntitySimplePropertyValueProcessor`

    - #### getFunctionImportProcessor

          FunctionImportProcessor getFunctionImportProcessor()
                                                      throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `FunctionImportProcessor`

    - #### getFunctionImportValueProcessor

          FunctionImportValueProcessor getFunctionImportValueProcessor()
                                                                throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `FunctionImportValueProcessor`

    - #### getBatchProcessor

          BatchProcessor getBatchProcessor()
                                    throws ODataException

      Returns:
        a processor which handles this request
      Throws:
        `ODataException`
      See Also:
        `BatchProcessor`

    - #### getProcessor

          ODataProcessor getProcessor()
                               throws ODataException

      Returns:
        root processor interface
      Throws:
        `ODataException`
      See Also:
        `ODataProcessor`

    - #### getSupportedContentTypes

          List<String> getSupportedContentTypes(Class<? extends ODataProcessor> processorFeature)
                                         throws ODataException

      Parameters:
        `processorFeature` -
      Returns:
        ordered list of all `content types` this service supports
      Throws:
        `ODataException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.